/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.entity;

import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.objectweb.jonas.jtests.beans.etype.oshort.OshortHome;

/**
 * This is a test suite about java.lang.Short field of entity bean CMP version 2.
 * Beans used: etype/oshort
 * @author Helene Joanin
 */

public class F_EtypeOshortEC2 extends A_EtypeOshort {

    private static String BEAN_HOME = "EtypeOshortEC2Home";
    protected static OshortHome home = null;

    public F_EtypeOshortEC2(String name) {
	super(name);
    }

    protected void setUp() {
	super.setUp();
    }

    public OshortHome getHome() {
	if (home == null) {
	    try {
		home = (OshortHome) PortableRemoteObject.narrow(ictx.lookup(BEAN_HOME),
								OshortHome.class);
	    } catch (NamingException e) {
		fail("Cannot get bean home: "+BEAN_HOME);
	    }
	    // init here tables if CMP2
	    try {
		home.create("pk1", new Short("1"));
		home.create("pk2", new Short("2"));
		home.create("pk3", new Short("3"));
		home.create("pk4", new Short("4"));
		home.create("pk5", new Short("5"));
		home.create("pk5bis", new Short("5"));
		home.create("pktoremove", new Short("10000"));
		home.create("pknull", (Short) null);
		home.create("pkchangenull", new Short("10000"));
	    } catch (Exception i) {
	    }
	}
	return home;
    }

    public static Test suite() {
	return new TestSuite(F_EtypeOshortEC2.class);
    }

    public static void main (String args[]) {
	String testtorun = null;
	// Get args
	for (int argn = 0; argn < args.length; argn++) {
	    String s_arg = args[argn];
	    Integer i_arg;
	    if (s_arg.equals("-n")) {
		testtorun = args[++argn];
	    }
	}
	if (testtorun == null) {
	    junit.textui.TestRunner.run(suite());
	} else {
	    junit.textui.TestRunner.run(new F_EtypeOshortEC2(testtorun));
	}
    }
}
